-- vim: ts=2 sw=2 ai et enc=utf8 fenc=utf8

if not Ammo then Ammo = {} end
Ammo.locales = {}

-- Master strings table
Ammo.locales.DefaultStrings = setmetatable (
  {},
  { __index = function (self, key)
      if ToM.db.profile.debug then ToM:Print ("Unlocalized: "..tostring(key)) end
      rawset (self, key, key)
      return key
    end
  }
)

local function mkstr (str) Ammo.locales.DefaultStrings[str] = str end
-- These are the strings that should be localized.

-- Notifications
mkstr ("equipping ")
mkstr ("arrows")
mkstr ("bullets")
mkstr ("auto-reload active - using ") -- ..bullets/arrows
mkstr ("auto-reload inactive")
mkstr ("auto-reload now ") -- ..on/OFF
mkstr ("on")
mkstr ("OFF")
mkstr ("auto-switch now ") -- ..on/OFF
mkstr ("Warning: Running low on ") -- ..[ammo-type]
mkstr ("Warning: Out of ") -- ..[ammo-type]
mkstr ("CRITICAL: Out of all ammo!")
mkstr ("Don't yet know which ammo type to use - equip a ranged weapon first")
mkstr ("Available ammo (in ascending order):")
mkstr (" (equipped)")
mkstr ("No ammo available!")
mkstr ("no ranged weapon currently equipped, auto-reload inactive until one has been equipped")

-- Help text for /ammo
mkstr ("Available sub commands:")
mkstr ("open the configuration screen")
mkstr ("prints ammo status")
mkstr ("equip premium ammo")
mkstr ("equip low-grade ammo")
mkstr ("Unknown command")

-- Configuration screen
mkstr ("Ammo warnings")
mkstr ("PvE ammo")
mkstr ("PvP ammo")
mkstr ("Profiles")
mkstr ("Chat")
mkstr ("Provide warning in the default chat window.")
mkstr ("Error frame")
mkstr ("Provide warning in the standard error frame (top center of screen).")
mkstr ("Voice")
mkstr ("Provide vocal warning.")
mkstr ("General settings")
mkstr ("Ammo-matique provides automated ammo handling - it can automatically reload for you if you run out of your current ammo type, and it can automatically select the suitable ammo type for any particular situation.")
mkstr ("Ammo-matique uses two terms when referring to ammo - 'premium' and 'lowgrade'. Premium refers to the ammo type with the highest DPS that you have available. Conversely, lowgrade refers to the ammo type with the lowest DPS.")
mkstr ("Tip: you can use /ammo to access Ammo-matique functionality from macros or the chat box.")
mkstr ("Auto-reload")
mkstr ("Automatically reload when current ammo is exhausted.")
mkstr ("Auto-switch")
mkstr ("Automatically switch ammo in PvE and/or PvP.")
mkstr ("Notifications")
mkstr ("Provide status notifications, e.g. when switching ammo, or (de)activating auto-reload.")
mkstr ("Ammo-matique can provide warnings when you are running low or out of ammunition in a variety of ways. Select the ones you would like.")
mkstr ("Voice set")
mkstr ("Voice set to use if voice warnings are enabled.")
mkstr ("Male")
mkstr ("Female")
mkstr ("Low ammo warning")
mkstr ("Enabled")
mkstr ("Warn when the current ammo is running low.")
mkstr ("Low ammo threshold")
mkstr ("Warn when current ammo falls below this value.")
mkstr ("Ammo exhausted warning")
mkstr ("Warn when the current ammo is exhausted.")
mkstr ("All ammo exhausted warning")
mkstr ("Warn when all ammo is exhausted.")
mkstr ("PvE ammo switching")
mkstr ("Ammo-matique allows you to switch ammo depending on the type of mob you are fighting.\n\nNote: Once premium ammo has been switched in for a fight, it will stay equipped throughout the fight.")
mkstr ("Bosses")
mkstr ("Switch ammo for bosses.")
mkstr ("Ammo type")
mkstr ("Ammo type to use when fighting bosses.")
mkstr ("Premium")
mkstr ("Low-grade")
mkstr ("Elites")
mkstr ("Switch ammo for elite mobs.")
mkstr ("Ammo type to use when fighting elite mobs.")
mkstr ("Non-elites")
mkstr ("Switch ammo for non-elite mobs.")
mkstr ("Ammo type to use when fighting non-elite mobs.")
mkstr ("PvP ammo switching")
mkstr ("Whenever you engage (or prepare to engage) another player in combat, Ammo-matique can automatically switch in ammo for you based on the situation.")
mkstr ("Arena")
mkstr ("Switch ammo when engaging in an Arena.")
mkstr ("Ammo type to use when engaging in an Arena.")
mkstr ("Battlegrounds")
mkstr ("Switch ammo when engaging in Battlegrounds.")
mkstr ("Ammo type to use when engaging in Battlegrounds.")
mkstr ("World PvP")
mkstr ("Switch ammo when engaging in world PvP.")
mkstr ("Ammo type to use when engaging in world PvP.")


